object_fwd_decl.hpp File Reference
`#include "msgpack/versioning.hpp"`
`#include "msgpack/zone.hpp"`
`#include "msgpack/object.h"`
`#include <typeinfo>`

Go to the source code of this file.

## Classes

struct | msgpack::adaptor::as< T, Enabler >
struct | msgpack::has_as< T >

## Namespaces

| msgpack
| msgpack::type
| msgpack::adaptor

## Enumerations

enum

msgpack::type::object_type {
msgpack::type::NIL = MSGPACK_OBJECT_NIL, msgpack::type::BOOLEAN = MSGPACK_OBJECT_BOOLEAN, msgpack::type::POSITIVE_INTEGER = MSGPACK_OBJECT_POSITIVE_INTEGER, msgpack::type::NEGATIVE_INTEGER = MSGPACK_OBJECT_NEGATIVE_INTEGER,
msgpack::type::FLOAT32 = MSGPACK_OBJECT_FLOAT32, msgpack::type::FLOAT64 = MSGPACK_OBJECT_FLOAT64, msgpack::type::FLOAT = MSGPACK_OBJECT_FLOAT, msgpack::type::STR = MSGPACK_OBJECT_STR,
msgpack::type::BIN = MSGPACK_OBJECT_BIN, msgpack::type::ARRAY = MSGPACK_OBJECT_ARRAY, msgpack::type::MAP = MSGPACK_OBJECT_MAP, msgpack::type::EXT = MSGPACK_OBJECT_EXT
}